Skip to main content
GET
/
v2
/
persons
/
{personId}
/
fields
Get field values on a single Person
curl --request GET \
  --url https://api.affinity.co/v2/persons/{personId}/fields \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "affinity-data-location",
      "name": "Location",
      "type": "enriched",
      "enrichmentSource": "affinity-data",
      "value": {
        "type": "location",
        "data": {
          "streetAddress": null,
          "city": "San Francisco",
          "state": "California",
          "country": "United States",
          "continent": "North America"
        }
      }
    },
    {
      "id": "affinity-data-linkedin-url",
      "name": "LinkedIn URL",
      "type": "enriched",
      "enrichmentSource": "affinity-data",
      "value": {
        "type": "text",
        "data": "https://linkedin.com/in/alex-rivera"
      }
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/persons/1/fields?types=enriched&cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/persons/1/fields?types=enriched&cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

personId
integer<int64>
required

Person ID

Required range: 1 <= x <= 9007199254740991

Query Parameters

ids
string[]

Field IDs for which to return field data

Example:
["field-1"]
types
enum<string>[]

Field Types for which to return field data

Available options:
enriched,
global,
relationship-intelligence
cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:20

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

20

Response

OK

FieldPaged model

data
Field · object[]
required

A page of Field results

Maximum array length: 100
pagination
Pagination · object
required